Retrieve an invoice
curl --request GET \
--url https://partners.chargeexpressltd.com/api/public/v1/invoices/{kind}/{invoiceId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partners.chargeexpressltd.com/api/public/v1/invoices/{kind}/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners.chargeexpressltd.com/api/public/v1/invoices/{kind}/{invoiceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "invoice",
"kind": "usage",
"id": "<string>",
"invoice_number": "<string>",
"status": "paid",
"billed_kwh": "12.5000",
"unit_price": "125.50",
"amount": "125.50",
"amount_due": "125.50",
"currency": "GHS",
"issued_at": "2023-11-07T05:31:56Z",
"session_id": "<string>",
"funding_id": "<string>",
"charge_point_id": "<string>"
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Invoices
Retrieve an invoice
Requires the fleet:read scope.
GET
/
invoices
/
{kind}
/
{invoiceId}
Retrieve an invoice
curl --request GET \
--url https://partners.chargeexpressltd.com/api/public/v1/invoices/{kind}/{invoiceId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partners.chargeexpressltd.com/api/public/v1/invoices/{kind}/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners.chargeexpressltd.com/api/public/v1/invoices/{kind}/{invoiceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "invoice",
"kind": "usage",
"id": "<string>",
"invoice_number": "<string>",
"status": "paid",
"billed_kwh": "12.5000",
"unit_price": "125.50",
"amount": "125.50",
"amount_due": "125.50",
"currency": "GHS",
"issued_at": "2023-11-07T05:31:56Z",
"session_id": "<string>",
"funding_id": "<string>",
"charge_point_id": "<string>"
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Authorizations
Your fleet API key, e.g. Authorization: Bearer cxk_live_…. Create keys in the fleet portal under Developers.
Response
Success
Available options:
invoice Available options:
usage, purchase Available options:
paid, unpaid kWh billed
Example:
"12.5000"
GHS per kWh
Example:
"125.50"
GHS
Example:
"125.50"
GHS
Example:
"125.50"
Available options:
GHS 
